CTS firmware upgarde

Unanswered Question
Mar 31st, 2010


i just wanted to confirm that the CTS software upgrade through CUCM need to be done as below

CUCM os admin > install/upgrade >> TFTP file management then upload it from there using directory as /

because if i use install/upgrade then > software install option using FTP it dosen't take as the extension of the CTS firmware is .sbn 

"it need to be uploaded it through TFTP File management option "

is that right !!!

Thank you

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
Nick Halbert-Li... Wed, 03/31/2010 - 19:33

That's right - that's how you get the new software onto the CUCM server.

To actually upgrade the endpoints, you can do it one of two ways:

If under the device configuraiton of your CTS endpoints, the "Phone Load Name" is left blank, that means the endpoint is using the default software.  To change the default sotware, under SUSM administration, go to Device -> Device Settings -> Device Defaults.

From here, you can change the default firmware on each type of CTS endpoint to the newer version.

If under the device configuration of your CTS endpoints the "Phone Load Name" has a file name entered, change this to the file name of the newer software and save.

Note that with either method, you will need to reset the telepresence unit before it will upgrade.  The upgrade generally takes around an hour.

Lastly, if you are upgrading the endpoints to a new version, ensure you also load the TP Java midlet for that version to the phone - each version of CTS firmware has a different midlet.  You will need to upload the midlet and subscribe each phone to it as a service - instructions for this can be found at http://www.cisco.com/en/US/docs/telepresence/cucm_cts/1_6/configuration/guide/cucm_cta_1_6_midlets.html#wp1062506

Hope this helps.

Marwan ALshawi Wed, 03/31/2010 - 23:59

Thank you Nick for this detaild answer,

i aware bout he tMilet i used it before for a TP install with v1.5

now i did dowloaded the CTS software 1.6 and from the same page you can see two links for midlet to download which supposed to be for the same version

for the IP phone firmware i mean the cisco 7975 it need to be 5.8-5-3s


This Discussion